libzypp 17.38.15

FileConflicts.h File Reference
`#include <iosfwd>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp/sat/Queue.h>`
`#include <zypp/sat/Solvable.h>`

Go to the source code of this file.

## Classes
class | zypp::sat::FileConflicts
| Libsolv queue representing file conflicts. More...
class | zypp::sat::FileConflicts::Conflict
| A file conflict. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat
| Libsolv interface

## Functions
std::ostream & | zypp::sat::operator<< (std::ostream &str, const FileConflicts &obj) ZYPP_API
| relates: FileConflicts Stream output
std::ostream & | zypp::sat::operator<< (std::ostream &str, const FileConflicts::Conflict &obj) ZYPP_API
| relates: FileConflicts::Conflict Stream output
std::ostream & | zypp::sat::dumpAsXmlOn (std::ostream &str, const FileConflicts &obj) ZYPP_API
| relates: FileConflicts XML output
std::ostream & | zypp::sat::dumpAsXmlOn (std::ostream &str, const FileConflicts::Conflict &obj) ZYPP_API
| relates: FileConflicts::Conflict XML output
bool | zypp::sat::operator== (const FileConflicts &lhs, const FileConflicts &rhs)
| relates: FileConflicts
bool | zypp::sat::operator!= (const FileConflicts &lhs, const FileConflicts &rhs)
| relates: FileConflicts